#ifndef CFIXEDPOINTNUMBER_H
#define CFIXEDPOINTNUMBER_H
//#include <ostream>
//#include <sstream>
#include <istream>
class CFixedPointNumber{
    long num;
    static unsigned int HowManyCats;
public:
    CFixedPointNumber();
    CFixedPointNumber(int value);
    CFixedPointNumber& operator=(int num);
    friend std::istream& operator>>(std::istream& input, CFixedPointNumber& obj);
    friend std::ostream& operator<<(std::ostream& os, const CFixedPointNumber& num);
    friend bool operator>(const CFixedPointNumber& num1, const CFixedPointNumber& num2);
    friend bool operator<(const CFixedPointNumber& num1, const CFixedPointNumber& num2);
    friend bool operator==(const CFixedPointNumber& num1, const CFixedPointNumber& num2);
    CFixedPointNumber operator+(const CFixedPointNumber& other) const;
    CFixedPointNumber operator-(const CFixedPointNumber& other) const;
    CFixedPointNumber operator*(const CFixedPointNumber& other) const;
    CFixedPointNumber operator/(const CFixedPointNumber& other) const;
    CFixedPointNumber add(const int other) const;
    CFixedPointNumber diff(const int other) const;
    CFixedPointNumber mul(const int other) const;
    CFixedPointNumber operator=(CFixedPointNumber);
    long getterlong() const;
    operator double() const;
    ~CFixedPointNumber();
    unsigned int howmany();
};
#endif // CFIXEDPOINTNUMBER_H
